List inbox threads
priority, lastMessage, or created.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List, inspect, and update prospect threads in an SDR’s inbox.
curl "https://app.leadterra.co/v1/sdr/inbox?status=new&limit=20" \
-H "Authorization: Bearer sk_live_your_key"
priority, lastMessage, or created.
{
"data": {
"threads": [
{
"id": "thread_id",
"contactEmail": "ava@example.com",
"contactName": "Ava Patel",
"subject": "Re: Quick question",
"status": "new",
"category": "A",
"priorityScore": 85,
"lastMessageAt": "2026-06-28T18:30:00.000Z"
}
],
"total": 1,
"hasMore": false
}
}
curl https://app.leadterra.co/v1/sdr/inbox/THREAD_ID \
-H "Authorization: Bearer sk_live_your_key"
curl -X PUT https://app.leadterra.co/v1/sdr/inbox/THREAD_ID/status \
-H "Authorization: Bearer sk_live_your_key" \
-H "Content-Type: application/json" \
-d '{"status": "awaiting_reply"}'
curl https://app.leadterra.co/v1/sdr/threads/THREAD_ID/messages \
-H "Authorization: Bearer sk_live_your_key"